Bug 103677 - Installer image has low colour for today's standards
Summary: Installer image has low colour for today's standards
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: Heiko Tietze
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords: difficultyBeginner, easyHack, skillDesign, topicInfra
Depends on:
Blocks:
 
Reported: 2016-11-03 13:06 UTC by Marco A.G.Pinto
Modified: 2017-02-16 16:28 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Image has low colour for today's standards (13.59 KB, image/png)
2016-11-03 13:06 UTC, Marco A.G.Pinto
Details
Example for new icons (7.56 KB, image/png)
2016-12-29 10:23 UTC, Heiko Tietze
Details
I made some icons in the limited time I had. Comments are welcome. (110.02 KB, image/png)
2016-12-29 12:30 UTC, Anxhelo Lushka
Details
Setup icons Tango style (83.97 KB, image/png)
2017-01-01 20:03 UTC, andreas_k
Details
core/instsetoo_native/inc_common/windows/msi_templates/Binary/ (59.43 KB, application/zip)
2017-01-01 20:20 UTC, andreas_k
Details
update in up to date adwaita style (15.43 KB, application/zip)
2017-02-04 22:56 UTC, andreas_k
Details
how does it look in windows 7 (33.53 KB, image/png)
2017-02-07 10:40 UTC, andreas_k
Details
how does it look in windows 7 (23.67 KB, image/png)
2017-02-07 10:40 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2016-11-03 13:06:12 UTC
Created attachment 128467 [details]
Image has low colour for today's standards

As the subject says, can someone draw a better image for the installer?

It is almost 2017 and we are still using an image from Windows 95.
Comment 1 Aron Budea 2016-11-03 15:19:50 UTC
Let's hear the UX guys on this.
Comment 2 V Stuart Foote 2016-11-03 16:01:17 UTC
Believe that art work is bundled with the MSVC, see no reason to change it.
Comment 3 Jean-Baptiste Faure 2016-11-08 06:00:44 UTC
What is today's standards ?

Best regards. JBF
Comment 4 Heiko Tietze 2016-11-11 14:16:50 UTC
The icon can be modified at instsetoo_native/inc_common/windows/msi_templates/Binary. This very simple easy hack is to find/create a better icon (IMHO the LibO logo fits also), at best discuss with the design team (keeping needsUX therefore), and add it to the installer.
Comment 5 Heiko Tietze 2016-12-29 10:23:17 UTC
Created attachment 129999 [details]
Example for new icons

We have four icons: setup.ico (consists of 3 images), setupcomplete.ico, setuppartial.ico, and setuprepair.ico. With my limited skills I tried to create something... not really better. Good images are welcome!
Comment 6 Anxhelo Lushka 2016-12-29 12:30:57 UTC
Created attachment 130001 [details]
I made some icons in the limited time I had. Comments are welcome.

A mini-draft I did for new icons for the Windows installer.
Comment 7 andreas_k 2017-01-01 20:03:28 UTC
Created attachment 130075 [details]
Setup icons Tango style

As Tango is the default icon style, I use the icons from the Tango icon set and modify them for the specific needs.

The svg and ico files are available in 32px (as they are used now) or any other size if needed.
Comment 8 Heiko Tietze 2017-01-01 20:13:36 UTC
(In reply to andreas_k from comment #7)
> Created attachment 130075 [details]
> Setup icons Tango style
> 
> As Tango is the default icon style, I use the icons from the Tango icon set
> and modify them for the specific needs.
> 
> The svg and ico files are available in 32px (as they are used now) or any
> other size if needed.

How does it scale down to 32px? Looks pretty nice but I'm afraid that the decorations (arrow, clock, star) are to tiny. And finally it's perhaps not easy to understand when the completion identifier is a big arrow (looks like download). Anyway, very tangoish :-)
Comment 9 andreas_k 2017-01-01 20:20:29 UTC
Created attachment 130076 [details]
core/instsetoo_native/inc_common/windows/msi_templates/Binary/

the .ico and .svg files for the core/instsetoo_native/inc_common/windows/msi_templates/Binary/ folder
Comment 10 Commit Notification 2017-01-01 22:49:20 UTC
tamsil1amani3 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1cb1cc30b5eb75483b6aaeec0192f7ee1d833461

tdf#103677 Icons Change

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Heiko Tietze 2017-01-02 08:42:53 UTC
(In reply to Commit Notification from comment #10)
> tamsil1amani3 committed a patch related to this issue.

Doesn't look like an improvement to me. Andreas' solution is more appealing.
Comment 12 jani 2017-01-02 08:50:13 UTC
(In reply to Heiko Tietze from comment #11)
> (In reply to Commit Notification from comment #10)
> > tamsil1amani3 committed a patch related to this issue.
> 
> Doesn't look like an improvement to me. Andreas' solution is more appealing.

Please remark the proposal from Andreas was never submitted as a patch, so I assume nobody have reviewed it.
Comment 13 Heiko Tietze 2017-01-02 09:26:57 UTC
(In reply to jan iversen from comment #12)
> Please remark the proposal from Andreas was never submitted as a patch, so I
> assume nobody have reviewed it.

Sometimes the discussion is surprisingly fast :-). The installer icon question is scheduled for this week's design meeting.
Comment 14 V Stuart Foote 2017-01-02 14:26:02 UTC
(In reply to Commit Notification from comment #10)
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=1cb1cc30b5eb75483b6aaeec0192f7ee1d833461
> 
> tdf#103677 Icons Change

Please revert that single icon submission, the entire slate of icon artwork used with the installer needs to be revised--or not at all.
Comment 15 Commit Notification 2017-01-08 22:09:32 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00da8be9348cc8c4d0b5344ee58f1be37fa14165

Revert "tdf#103677 Icons Change"

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 jani 2017-01-09 08:58:12 UTC
Seems solved
Comment 17 Heiko Tietze 2017-01-09 09:01:19 UTC
(In reply to jan iversen from comment #16)
> Seems solved

It's not. I reverted the (wrong) patch, and we are back at start. 

Andreas' proposal was discussed in the last week's design meeting and it was decided to have a look what icons other installers show.
Comment 18 Heiko Tietze 2017-01-12 14:29:50 UTC
The new icons have been committed to test the design https://gerrit.libreoffice.org/#/c/32998/.

Whether or not to use them is still at debate.
Comment 19 Heiko Tietze 2017-01-14 09:31:28 UTC
Taking this task (patch has been submitted).
Comment 20 Heiko Tietze 2017-02-04 14:17:11 UTC
The patch is -1'ed by Adolfo. Opinions how to go ahead?
Comment 21 andreas_k 2017-02-04 22:56:27 UTC
Created attachment 130909 [details]
update in up to date adwaita style
Comment 22 Commit Notification 2017-02-06 00:03:11 UTC
Andreas Kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a296a69c984b17cfbcd249cf6bdc191d08dff2a6

tdf#103677 Windows installer icons

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 andreas_k 2017-02-07 10:40:17 UTC
Created attachment 130977 [details]
how does it look in windows 7
Comment 24 andreas_k 2017-02-07 10:40:33 UTC
Created attachment 130978 [details]
how does it look in windows 7
Comment 25 Heiko Tietze 2017-02-07 11:31:32 UTC
(In reply to andreas_k from comment #24)
> Created attachment 130978 [details]
> how does it look in windows 7

I like it, much better than before. What's your opinion as the OP, Marco?
Comment 26 V Stuart Foote 2017-02-07 14:43:33 UTC
They set looks good to me, +1

And, guess Adolfo liked design of the new set as well as he's picked them already to 5.3, up for review as https://gerrit.libreoffice.org/#/c/33943/
Comment 27 Commit Notification 2017-02-16 16:28:08 UTC
Andreas Kainz committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e129c67dd220ca866c8e8a451d1a20b528ab6f9&h=libreoffice-5-3

tdf#103677 Windows installer icons

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.